org.apache.ignite.internal.processors.platform.entityframework

## Class PlatformDotNetEntityFrameworkCacheKey

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.entityframework.PlatformDotNetEntityFrameworkCacheKey

All Implemented Interfaces:
  Comparable<PlatformDotNetEntityFrameworkCacheKey>, Binarylizable

    public class PlatformDotNetEntityFrameworkCacheKey
    extends Object
    implements Binarylizable, Comparable<PlatformDotNetEntityFrameworkCacheKey>

EntityFramework cache key: query + versions.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetEntityFrameworkCacheKey()` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(@NotNull PlatformDotNetEntityFrameworkCacheKey o)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `query()` Gets the query text.
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`long[]` `versions()` Gets the entity set versions.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetEntityFrameworkCacheKey

    public PlatformDotNetEntityFrameworkCacheKey()

Ctor.

### Method Detail

#### query

    public String query()

Gets the query text.

Returns:
  Query text.

#### versions

    public long[] versions()

Gets the entity set versions.

Returns:
  Entity set versions.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### compareTo

    public int compareTo(@NotNull
                         @NotNull PlatformDotNetEntityFrameworkCacheKey o)

Specified by:
  `compareTo` in interface `Comparable<PlatformDotNetEntityFrameworkCacheKey>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022